package My::AddMe;

use Apache::Constants qw(OK);
use Apache::ConnectionCleanup;
use File::Spec;
use IO::File;
use strict;

sub handler {

  my $r = Apache::ConnectionCleanup->new(shift);

  $r->connection->register_cleanup(\&addme);

  return OK;

}

sub addme {

  my $tmpfile = File::Spec->catfile(File::Spec->tmpdir, 'addme');

  my $fh = IO::File->new(">>$tmpfile") or die;

  $fh->autoflush(1);

  print $fh '1';

  undef $fh;
}
1;
