package My::TouchMe;

use Apache::Constants qw(OK);
use Apache::ConnectionCleanup;
use File::Spec;
use IO::File;
use strict;

sub handler {

  my $r = Apache::ConnectionCleanup->new(shift);

  $r->connection->register_cleanup(\&touch);

  return OK;

}

sub touch {

  my $tmpfile = File::Spec->catfile(File::Spec->tmpdir, 'touchme');

  my $fh = IO::File->new(">$tmpfile") or die;

  undef $fh;
}
1;
