package Apache::ConnectionCleanup;

use 5.006;
use strict;
use warnings;

use Apache;
use Apache::ConnectionCleanup::RegisterCleanup;

our @ISA = qw(Apache);

our $VERSION = '0.01';

sub new {

  my ($class, $r) = @_;

  $r ||= Apache->request;

  return bless { r => $r }, $class;
}

sub connection {

  my $self = shift;

  my $connection = $self->SUPER::connection;

  return bless $connection, 'Apache::ConnectionCleanup::RegisterCleanup';
}

1;
