use strict;
use warnings FATAL => 'all';

use Apache::Test;
use Apache::TestRequest;

use File::Spec;

plan tests => 3, have_lwp;

my $response = GET '/touchonce/index.html';
ok $response->code == 200;
ok $response->content;

my $tmpfile = File::Spec->catfile(File::Spec->tmpdir, 'touchme');
ok (-f $tmpfile);
