use strict;
use warnings FATAL => 'all';

use Apache::Test;
use Apache::TestRequest;

use File::Spec;

plan tests => 3;

# cleanup all the files we created along the way

my $tmpfile = File::Spec->catfile(File::Spec->tmpdir, 'touchme');
unlink $tmpfile;
ok(! -e $tmpfile);

$tmpfile = File::Spec->catfile(File::Spec->tmpdir, 'addme');
unlink $tmpfile;
ok(! -e $tmpfile);

$tmpfile = File::Spec->catfile(File::Spec->tmpdir, 'single');
unlink $tmpfile;
ok(! -e $tmpfile);
